#include "MenuTextSk4_Player1Joystick.h"

InputSetting_Joystick* MenuTextSk4_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextSk4_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_skill_4;
}

std::weak_ptr<Entity> MenuTextSk4_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}


std::shared_ptr<Entity> CreateMenuTextSk4_Player1Joystick()
{
	return std::make_shared<MenuTextSk4_Player1Joystick>();
}

